<?
/*******************************************************************************
*    WMail 1.0. Webmail for PHP                                                *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

ini_set("session.auto_start", "0");         // Kein Autostart
ini_set("session.use_cookies", "0");        // Kein Cookie-Session
ini_set("session.gc_maxlifetime", "28800"); // Life-Time 8 Stunden
session_cache_expire(28800);                // Expire in 8 Stunden
session_start();

require_once('db.inc.php');
require_once($authSystem);

session_register("session");

if($lang == '' && isset($_COOKIE['wmailLang']))
  $lang = $_COOKIE['wmailLang'];
if($lang == '')
{
  $tok = strtok($GLOBALS['HTTP_ACCEPT_LANGUAGE'], "[-,]");
  while($lang == '')
  {
    foreach(array_keys($languages) as $l)
      if($tok == substr($l, 0, 2))
        $lang = $l;
    if($lang == '')
      $lang   = 'de';
  }
}
require_once('lang.inc.php');

$err = '';
if($username != '' && $pass!= '')
{
  $authData = doAuth($username, $pass, _('Gesendet'));
  if($authData !== FALSE)
  {
    dbConnect();
    $res = dbQuery("SELECT name, aliasname, isdefault FROM alias WHERE account = '".$authData->getAccountname()."' ORDER BY isdefault");
    while($val = dbFetchArray($res))
      $authData->addAlias($val[0], $val[1], $val[2]);
    dbDisconnect();
    $session[auth_data] = $authData;
    $session[lang]      = $lang;
    $session[width]     = $width;
    $session[host]      = ${'REMOTE_ADDR'};
    setcookie("wmailLang", $lang, time() + (3600 * 24 * 365));
    header("LOCATION: main.php?sid=".session_id());
  }
  else
    $err = _('Falscher Nutzername oder Passwort');
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><? echo _('WMail: ein Webmail f&uuml;r PHP'); ?></title>
<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
<meta name="viewport" content="width=device-width" />
<link href="/images/default.css" rel="stylesheet" type="text/css">
<link href="/images/mobile.css" media='all and (max-width: 839px)' rel="stylesheet" type="text/css"  />
<link rel="shortcut icon" href="/images/wmlogo.ico" >
<script type="text/javascript">
<!--
function selectLang()
{
  if(document.loginForm.username.value == '' && document.loginForm.pass.value == '')
  {
    var lang_page = 'index.php?lang=' + document.loginForm.lang[document.loginForm.lang.selectedIndex].value;
    self.location = lang_page;
  }
}

function setFocus()
{
  if(document.loginForm.username.value == "")
    document.loginForm.username.focus();
  else
    document.loginForm.pass.focus();
}


function submit_login(e)
{
  if(typeof e != 'undefined' && !enter_key_trap(e))
    return;

  if(document.loginForm.username.value == "")
  {
    alert('<? echo _('Bitte geben Sie Ihren Nutzernamen ein.'); ?>');
    document.loginForm.username.focus();
    return false;
  }
  else if(document.loginForm.pass.value == "")
  {
    alert('<? echo _('Bitte geben Sie Ihr Passwort ein.'); ?>');
    document.loginForm.pass.focus();
    return false;
  }
  else
  {
    document.loginForm.loginButton.disabled = true;
    document.loginForm.submit();
    return true;
  }
}
//-->
</script>
</head>
<body onLoad="setFocus();">
<?
$errors = '';
if(!function_exists('imap_mime_header_decode'))
  $errors .= _('IMAP Funktionen sind nicht verf&uuml;gbar!');
if(!function_exists('mysql_connect'))
  $errors .= _('MySQL Funktionen sind nicht verf&uuml;gbar!');

if($errors == '')
{
?>
  <form name="loginForm" action="index.php" method="post" target="_parent">
  <div id="menu" class="menu"><h1 align="center"><? echo _('WMail: ein Webmail f&uuml;r PHP'); ?></h1></div>
  <table width="100%">
    <tr>
      <td align="center">
        <table align="center">
<?
if($err != '')
{
?>
          <tr>
            <td align="center" colspan="2" class="error"><strong><? echo $err; ?></strong></td>
          </tr>
          <tr>
            <td align="center" colspan="2"><br></td>
          </tr>
<?
}
?>
          <tr>
            <td align="right"><strong><? echo _('Nutzername'); ?></strong></td>
            <td align="left"><input type="text" tabindex="1" name="username" value="<? print $username; ?>"></td>
          </tr>
          <tr>
            <td align="right"><strong><? echo _('Passwort'); ?></strong></td>
            <td align="left"><input type="password" tabindex="2" name="pass"></td>
          </tr>
          <tr>
            <td align="right"><strong><? echo _('Sprache'); ?></strong></td>
            <td align="left">
              <select tabindex="3" name="lang" onchange="selectLang()">
<?
foreach(array_keys($languages) as $l)
{
  if($lang == $l)
    echo "<option value=\"$l\" selected=\"selected\">$languages[$l]</option>\n";
  else
    echo "<option value=\"$l\">$languages[$l]</option>\n";
}
?>
              </select>
            </td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td align="left">
              <input type="submit" class="button" name="loginButton" tabindex="4" value="<? echo _('Einloggen'); ?>" onclick="return submit_login();" />
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
  <input type="hidden" id="width" name="width">
  </form>
  <br>
  <table width="100%" border="0">
    <tr>
      <td align="left" valign="bottom"><font size="1">&copy; 2006 by <a class="maillist" href="http://www.lucabert.de/" target="top">Luca Bertoncello</a></font></td>
      <td align="right" id="bestviewed"><a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank"><img style="border:0;width:88px;height:31px" border="0" src="/images/valid-css.gif" alt="Valid CSS!" ></a>&nbsp;&nbsp;<a href="http://validator.w3.org/check?uri=referer" target="_blank"><img src="/images/valid-html401.gif" alt="Valid HTML 4.01 Transitional" height="31" width="88" border="0"/></a>&nbsp;&nbsp;<a href="http://www.anybrowser.org/campaign/" target="_blank"><img src="/images/anybrowser4.gif" alt="Best viewed with ANY Browser" border="0"/></a></TD>
    </tr>
  </table>
<?
}
else
{
?>
  <table width="100%" border="0">
    <tr>
      <td width="100%" class="error" style="height:15px;"><? echo $errors; ?></td>
    </tr>
  </table>
<?
}
?>
</body>
<script type="text/javascript">
document.getElementById("width").value = window.innerWidth;
</script>
</html>
